# Noise functions

Noise functions
GLM Core

## Functions

template<typename genType >
genType::value_type | noise1 (genType const &x)
template<typename genType >
detail::tvec2< typename genType::value_type > | noise2 (genType const &x)
template<typename genType >
detail::tvec3< typename genType::value_type > | noise3 (genType const &x)
template<typename genType >
detail::tvec4< typename genType::value_type > | noise4 (genType const &x)

## Detailed Description

Noise functions are stochastic functions that can be used to increase visual complexity.

Values returned by the following noise functions give the appearance of randomness, but are not truly random.

## Function Documentation

genType::value_type glm::noise1 | ( | genType const & | x | ) |

Returns a 1D noise value based on the input value x.

Template Parameters

  genType | Floating-point scalar or vector types.

See Also
  GLSL noise1 man page
  GLSL 4.20.8 specification, section 8.13 Noise Functions

detail::tvec2<typename genType::value_type> glm::noise2 | ( | genType const & | x | ) |

Returns a 2D noise value based on the input value x.

Template Parameters

  genType | Floating-point scalar or vector types.

See Also
  GLSL noise2 man page
  GLSL 4.20.8 specification, section 8.13 Noise Functions

detail::tvec3<typename genType::value_type> glm::noise3 | ( | genType const & | x | ) |

Returns a 3D noise value based on the input value x.

Template Parameters

  genType | Floating-point scalar or vector types.

See Also
  GLSL noise3 man page
  GLSL 4.20.8 specification, section 8.13 Noise Functions

detail::tvec4<typename genType::value_type> glm::noise4 | ( | genType const & | x | ) |

Returns a 4D noise value based on the input value x.

Template Parameters

  genType | Floating-point scalar or vector types.

See Also
  GLSL noise4 man page
  GLSL 4.20.8 specification, section 8.13 Noise Functions